ObjectBuilder
Keywords: uk.ac.ic.doc.automed.p2p.tree.ObjectBuilder class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p.tree
Class ObjectBuilder

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.tree.ObjectBuilder

Direct Known Subclasses:
  ModelObjectBuilder, SchemaObjectBuilder

    public class ObjectBuilder

extends java.lang.Object

Author:
  Charis TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`protected java.util.Map` | `modelMap`
`protected java.util.Map` | `schemaMap`
`protected Root` | `tree`

Constructor Summary
`ObjectBuilder(Root tree)`

Method Summary
`protected void` | `addObjectsToSchema(java.util.List objectRefs, Schema schema)` dmle 13/11/2005: change scope to package level
`AccessMethod` | `createAccessMethod(AutoMedObject objectNode)`
`java.util.List` | `createAutoMedObjectsFromTree()`
`Model` | `createModel(AutoMedObject objectNode)` Deprecated. use `ModelObjectBuilder.createModel(AutoMedObject objectNode, overwrite)` instead
`Pathway` | `createPathway(AutoMedObject objectNode)`
`protected Schema` | `createSchema(AutoMedObject objectNode)` Edited by dmle on 13/11/2005 to make this method package-scope
`Schema` | `createSchema(Reference schemaRef)`
`java.util.Map` | `getModelMap()` Getter for model map object
`java.util.Map` | `getSchemaMap()`
`protected Schema` | `initSchema(AutoMedObject schemaNode)` Edited by dmle on 13/11/2005 to change the scope to package-level
`void` | `retractModel(Model model)` Retract model
`void` | `retractSchema(Schema schema)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tree

    protected Root tree

### schemaMap

    protected java.util.Map schemaMap

### modelMap

    protected java.util.Map modelMap

Constructor Detail

### ObjectBuilder

    public ObjectBuilder(Root tree)

Method Detail

### getSchemaMap

    public java.util.Map getSchemaMap()

### getModelMap

    public java.util.Map getModelMap()

  Getter for model map object

### createAutoMedObjectsFromTree

    public java.util.List createAutoMedObjectsFromTree()
                                                throws AutoMedTreeException

  Throws:
    `AutoMedTreeException`

### createAccessMethod

    public AccessMethod createAccessMethod(AutoMedObject objectNode)
                                    throws AutoMedTreeException

  Throws:
    `AutoMedTreeException`

### createSchema

    protected Schema createSchema(AutoMedObject objectNode)
                           throws AutoMedTreeException

  Edited by dmle on 13/11/2005 to make this method package-scope

  Throws:
    `AutoMedTreeException`

### createModel

    public Model createModel(AutoMedObject objectNode)
                      throws AutoMedTreeException

  Deprecated. use `ModelObjectBuilder.createModel(AutoMedObject objectNode, overwrite)` instead

  Create a model object from the corresponding tree

  Throws:
    `AutoMedTreeException`

### retractSchema

    public void retractSchema(Schema schema)

### retractModel

    public void retractModel(Model model)

  Retract model

### createSchema

    public Schema createSchema(Reference schemaRef)
                        throws AutoMedTreeException

  Throws:
    `AutoMedTreeException`

### createPathway

    public Pathway createPathway(AutoMedObject objectNode)
                          throws AutoMedTreeException

  Throws:
    `AutoMedTreeException`

### initSchema

    protected Schema initSchema(AutoMedObject schemaNode)

  Edited by dmle on 13/11/2005 to change the scope to package-level

### addObjectsToSchema

    protected void addObjectsToSchema(java.util.List objectRefs,
                                      Schema schema)
                               throws AutoMedTreeException

  dmle 13/11/2005: change scope to package level

  Throws:
    `AutoMedTreeException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD